Bug 854072 - Sound does not work after kernel update 3.4.8 fc16
Sound does not work after kernel update 3.4.8 fc16
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: pulseaudio (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Lennart Poettering
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-03 19:04 EDT by Crypt_Heart
Modified: 2013-07-31 23:12 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 23:12:44 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Comment (86.23 KB, text/plain)
2012-09-04 03:23 EDT, Crypt_Heart
no flags Details
Comment (64.62 KB, text/plain)
2012-09-06 05:37 EDT, Crypt_Heart
no flags Details

  None (edit)
Description Crypt_Heart 2012-09-03 19:04:43 EDT
Description of problem: After upgrading the Kernel in Fedora to I believe 3.4.8 FC 16, I noticed that my sound no longer worked. I upgraded to F17 in the hope that it would fix it. It has not. 

If I open Banshee and click music to play and press play, nothing happens, the play icon doesn't change and no audio is emitted. 

If I try to play sound through 'play' on the terminal, I get no sound. 

If I load a music file into VLC there's no audio, but it does look like it's doing something as the bar moves across. 

I get identical treatment with Youtube. 

The sound and video worked perfectly before this kernel. 

Version-Release number of selected component (if applicable): Unknown


How reproducible: Simply install Fedora 17 and try to play sound. 


Steps to Reproduce:
1. Reproduced out of the box. 
2.
3.
  
Actual results: No sound, 5 minute audio file appears to play in under 30 seconds. With no audio. 


Expected results: Actual playing of file. 


Additional info:
Comment 2 Crypt_Heart 2012-09-04 00:35:09 EDT
=============================================================
pulseaudio -vvvvv output
=============================================================

I: [pulseaudio] main.c: setrlimit(RLIMIT_NICE, (31, 31)) failed: Operation not permitted
I: [pulseaudio] main.c: setrlimit(RLIMIT_RTPRIO, (9, 9)) failed: Operation not permitted
D: [pulseaudio] core-rtclock.c: Timer slack is set to 50 us.
D: [pulseaudio] core-util.c: RealtimeKit worked.
I: [pulseaudio] core-util.c: Successfully gained nice level -11.
I: [pulseaudio] main.c: This is PulseAudio 1.1
D: [pulseaudio] main.c: Compilation host: i386-redhat-linux-gnu
D: [pulseaudio] main.c: Compilation CFLAGS: -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4  -m32 -march=i686 -mtune=atom -fasynchronous-unwind-tables -W -Wextra -Wno-long-long -Wvla -Wno-overlength-strings -Wunsafe-loop-optimizations -Wundef -Wformat=2 -Wlogical-op -Wsign-compare -Wformat-security -Wmissing-include-dirs -Wformat-nonliteral -Wpointer-arith -Winit-self -Wdeclaration-after-statement -Wfloat-equal -Wmissing-prototypes -Wredundant-decls -Wmissing-declarations -Wmissing-noreturn -Wshadow -Wendif-labels -Wcast-align -Wstrict-aliasing -Wwrite-strings -Wno-unused-parameter -ffast-math -fno-common -fdiagnostics-show-option
D: [pulseaudio] main.c: Running on host: Linux i686 3.5.3-1.fc17.i686 #1 SMP Wed Aug 29 19:25:38 UTC 2012
D: [pulseaudio] main.c: Found 1 CPUs.
I: [pulseaudio] main.c: Page size is 4096 bytes
D: [pulseaudio] main.c: Compiled with Valgrind support: no
D: [pulseaudio] main.c: Running in valgrind mode: no
D: [pulseaudio] main.c: Running in VM: no
D: [pulseaudio] main.c: Optimized build: yes
D: [pulseaudio] main.c: All asserts enabled.
I: [pulseaudio] main.c: Machine ID is a06500935ed59c6beaaa2d4d0000000d.
I: [pulseaudio] main.c: Session ID is a06500935ed59c6beaaa2d4d0000000d-1346711958.213907-756988232.
I: [pulseaudio] main.c: Using runtime directory /home/Kai/.pulse/a06500935ed59c6beaaa2d4d0000000d-runtime.
I: [pulseaudio] main.c: Using state directory /home/Kai/.pulse.
I: [pulseaudio] main.c: Using modules directory /usr/lib/pulse-1.1/modules.
I: [pulseaudio] main.c: Running in system mode: no
E: [pulseaudio] pid.c: Daemon already running.
E: [pulseaudio] main.c: pa_pid_file_create() failed.

====================================================================
After shutting off pulse with -k and creating conf file with no spawn
====================================================================

I: [pulseaudio] main.c: setrlimit(RLIMIT_NICE, (31, 31)) failed: Operation not permitted
I: [pulseaudio] main.c: setrlimit(RLIMIT_RTPRIO, (9, 9)) failed: Operation not permitted
D: [pulseaudio] core-rtclock.c: Timer slack is set to 50 us.
D: [pulseaudio] core-util.c: RealtimeKit worked.
I: [pulseaudio] core-util.c: Successfully gained nice level -11.
I: [pulseaudio] main.c: This is PulseAudio 1.1
D: [pulseaudio] main.c: Compilation host: i386-redhat-linux-gnu
D: [pulseaudio] main.c: Compilation CFLAGS: -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4  -m32 -march=i686 -mtune=atom -fasynchronous-unwind-tables -W -Wextra -Wno-long-long -Wvla -Wno-overlength-strings -Wunsafe-loop-optimizations -Wundef -Wformat=2 -Wlogical-op -Wsign-compare -Wformat-security -Wmissing-include-dirs -Wformat-nonliteral -Wpointer-arith -Winit-self -Wdeclaration-after-statement -Wfloat-equal -Wmissing-prototypes -Wredundant-decls -Wmissing-declarations -Wmissing-noreturn -Wshadow -Wendif-labels -Wcast-align -Wstrict-aliasing -Wwrite-strings -Wno-unused-parameter -ffast-math -fno-common -fdiagnostics-show-option
D: [pulseaudio] main.c: Running on host: Linux i686 3.5.3-1.fc17.i686 #1 SMP Wed Aug 29 19:25:38 UTC 2012
D: [pulseaudio] main.c: Found 1 CPUs.
I: [pulseaudio] main.c: Page size is 4096 bytes
D: [pulseaudio] main.c: Compiled with Valgrind support: no
D: [pulseaudio] main.c: Running in valgrind mode: no
D: [pulseaudio] main.c: Running in VM: no
D: [pulseaudio] main.c: Optimized build: yes
D: [pulseaudio] main.c: All asserts enabled.
I: [pulseaudio] main.c: Machine ID is a06500935ed59c6beaaa2d4d0000000d.
I: [pulseaudio] main.c: Session ID is a06500935ed59c6beaaa2d4d0000000d-1346711958.213907-756988232.
I: [pulseaudio] main.c: Using runtime directory /home/Kai/.pulse/a06500935ed59c6beaaa2d4d0000000d-runtime.
I: [pulseaudio] main.c: Using state directory /home/Kai/.pulse.
I: [pulseaudio] main.c: Using modules directory /usr/lib/pulse-1.1/modules.
I: [pulseaudio] main.c: Running in system mode: no
E: [pulseaudio] pid.c: Daemon already running.
E: [pulseaudio] main.c: pa_pid_file_create() failed.

============================================================
pacmd ls
==============================================================
Daemon isn't responding



==============================================================
sudo pulseaudio --system
==============================================================
No complaints apparently, it just tells me I shouldn't be there. 





==============================================================
paman
===============================================================
infinite authorising....

================================================================
Update...
================================================================
Now audio doesn't even load it just goes into loading mode and doesn't actually get out of it. Or in the case of youtube, goes blank. 

After a while I do get (strangely)

Device "default" cannot be used, or something along those lines. 

================================================================
alsamixer 
================================================================
alsamixer
ALSA lib pulse.c:243:(pulse_connect) PulseAudio: Unable to connect: Connection refused

cannot open mixer: Connection refused

....


So now it's gone from bad to worse?
Comment 3 Crypt_Heart 2012-09-04 00:38:01 EDT
====================================
Update
===================================
The audio appears to load again, but same results, I think Pulse just kicked itself into gear.
Comment 4 Brendan Jones 2012-09-04 01:08:33 EDT
Is it working now? Before you run pulseaudio -vvv you must use pulseaudio --kill. The output you posted suggests pulseaudio is already running

If it is not working I would recommend following the instructions from the second link and do in terminal

rm -rf ~/.pulse
pulseaudio --kill 
pulseaudio -vvv 

and post the output here. You could also post the results of running alsa-info (from package alsa-utils)
Comment 5 Crypt_Heart 2012-09-04 03:23:04 EDT
Created attachment 915489 [details]
Comment

(This comment was longer than 65,535 characters and has been moved to an attachment by Red Hat Bugzilla).
Comment 6 Brendan Jones 2012-09-04 03:40:25 EDT
can you comment out these lines in /etc/pulse/default.pa:

sudo nano /etc/pulse/default.pa

### Load several protocols
.ifexists module-esound-protocol-unix.so
load-module module-esound-protocol-unix
.endif

Looks liek something else already has control of your sound card
Comment 7 Crypt_Heart 2012-09-04 03:52:10 EDT
O.o I'm assuming nano is a text editor which I don't have. 

So I used gedit instead. 

Anyway, after quickly searching on youtube, it seems that there's no skipping any more but there's still no sound. 

I'm also assuming that something else having control of my sound card is a bad thing. Though I am a little curious as to how that could have changed and how to solve that.
Comment 8 Brendan Jones 2012-09-04 03:55:49 EDT
jump on #fedora-audio
Comment 9 Crypt_Heart 2012-09-04 06:17:53 EDT
I did, thrice, but no response. I'm actually quite busy so IRC isn't a suitable format for me.
Comment 10 Crypt_Heart 2012-09-06 05:21:07 EDT
Out put for getfacl /dev/snd/*;systemd-loginctl
====================================================
getfacl: Removing leading '/' from absolute path names
# file: dev/snd/by-path
# owner: root
# group: root
user::rwx
group::r-x
other::r-x

# file: dev/snd/controlC0
# owner: root
# group: audio
user::rw-
user:Kai:rw-
group::rw-
mask::rw-
other::---

# file: dev/snd/controlC1
# owner: root
# group: audio
user::rw-
user:Kai:rw-
group::rw-
mask::rw-
other::---

# file: dev/snd/hwC0D2
# owner: root
# group: audio
user::rw-
user:Kai:rw-
group::rw-
mask::rw-
other::---

# file: dev/snd/hwC1D0
# owner: root
# group: audio
user::rw-
user:Kai:rw-
group::rw-
mask::rw-
other::---

# file: dev/snd/pcmC1D3p
# owner: root
# group: audio
user::rw-
user:Kai:rw-
group::rw-
mask::rw-
other::---

# file: dev/snd/seq
# owner: root
# group: audio
user::rw-
group::rw-
other::---

# file: dev/snd/timer
# owner: root
# group: audio
user::rw-
user:Kai:rw-
group::rw-
mask::rw-
other::---

   SESSION        UID USER             SEAT            
         2        500 Kai              seat0           

1 sessions listed.
Comment 11 Crypt_Heart 2012-09-06 05:37:00 EDT
Created attachment 915490 [details]
Comment

(This comment was longer than 65,535 characters and has been moved to an attachment by Red Hat Bugzilla).
Comment 12 Crypt_Heart 2012-09-06 06:37:48 EDT
Solved for now =P

create a file /etc/modprobe.d/hda-intel.conf

#: sudo gedit /etc/modprobe.d/hda-intel.conf

and then add the following line. 

options snd-hda-intel model=auto


Now look at this page 

http://www.kernel.org/doc/Documentation/sound/alsa/HD-Audio-Models.txt

and find which model you have. Take the name on the left hand side eg 3stack

enter, the name 

options snd-hda-intel model=[HERE]
Comment 13 Crypt_Heart 2012-09-06 06:39:17 EDT
Thanks to Mr B Jones ^_^
Comment 14 Crypt_Heart 2012-09-06 10:35:42 EDT
You may or may not have to re-enter Pavucontrol to stop change the setting away from HDMI ... >.>
Comment 15 Raymond 2013-06-06 10:02:33 EDT
Pin Default 0x00000000: [Jack] Line Out at Ext N/A


for those computer with alc880, BIOS did not set pin default and you must specify model which fix the pin default instead oh using auto
Comment 16 Raymond 2013-06-06 10:02:59 EDT
Pin Default 0x00000000: [Jack] Line Out at Ext N/A


for those computer with alc880, BIOS did not set pin default and you must specify model which fix the pin default instead oh using auto
Comment 17 Fedora End Of Life 2013-07-03 19:59:53 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 18 Fedora End Of Life 2013-07-31 23:12:49 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.